Name:          libkdegames
Version:       22.12.1
Release:       1mamba
Summary:       KDE games library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        http://download.kde.org/stable/release-service/%{version}/src/libkdegames-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Svg-devel
BuildRequires: libattica5-devel
BuildRequires: libgcc
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdnssd-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libknewstuff-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libopenal-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Provides:      libkdegames5
Obsoletes:     libkdegames5 < 21.04.0

%description
KDE games library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Provides:      libkdegames5-devel
Obsoletes:     libkdegames5-devel < 21.04.0

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n libkdegames-%{version}

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_libdir}/libKF5KDEGames.so.*
%{_libdir}/libKF5KDEGamesPrivate.so.*
%dir %{_libdir}/qt5/qml/org/kde/games
%dir %{_libdir}/qt5/qml/org/kde/games/core
%{_libdir}/qt5/qml/org/kde/games/core/*
%dir %{_kde5_datadir}/carddecks
%{_kde5_datadir}/carddecks/*
%{_kde5_kconfupdatedir}/kgthemeprovider-migration.upd
%{_datadir}/qlogging-categories5/libkdegames.categories
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KDEGames
%{_kde5_includedir}/KDEGames/*
%{_libdir}/libKF5KDEGames.so
%{_libdir}/libKF5KDEGamesPrivate.so
%dir %{_libdir}/cmake/KF5KDEGames
%{_libdir}/cmake/KF5KDEGames/KF5KDEGames*.cmake
%doc README TODO

%changelog
* Fri Jan 06 2023 Automatic Build System <autodist@mambasoft.it> 22.12.1-1mamba
- automatic version update by autodist

* Sat Dec 10 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Fri Nov 04 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Fri Sep 09 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Sat Aug 20 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Fri Jul 08 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Fri Jun 10 2022 Automatic Build System <autodist@mambasoft.it> 22.04.2-1mamba
- automatic version update by autodist

* Thu May 12 2022 Automatic Build System <autodist@mambasoft.it> 22.04.1-1mamba
- automatic version update by autodist

* Fri Apr 22 2022 Automatic Build System <autodist@mambasoft.it> 22.04.0-1mamba
- automatic version update by autodist

* Fri Mar 04 2022 Automatic Build System <autodist@mambasoft.it> 21.12.3-1mamba
- automatic version update by autodist

* Fri Feb 04 2022 Automatic Build System <autodist@mambasoft.it> 21.12.2-1mamba
- automatic version update by autodist

* Fri Jan 07 2022 Automatic Build System <autodist@mambasoft.it> 21.12.1-1mamba
- automatic version update by autodist

* Fri Dec 10 2021 Automatic Build System <autodist@mambasoft.it> 21.12.0-1mamba
- automatic version update by autodist

* Thu Nov 04 2021 Automatic Build System <autodist@mambasoft.it> 21.08.3-1mamba
- automatic version update by autodist

* Sat Oct 09 2021 Automatic Build System <autodist@mambasoft.it> 21.08.2-1mamba
- automatic version update by autodist

* Fri Sep 03 2021 Automatic Build System <autodist@mambasoft.it> 21.08.1-1mamba
- automatic version update by autodist

* Thu Aug 12 2021 Automatic Build System <autodist@mambasoft.it> 21.08.0-1mamba
- automatic version update by autodist

* Thu Jul 08 2021 Automatic Build System <autodist@mambasoft.it> 21.04.3-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 21.04.2-1mamba
- automatic version update by autodist

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 21.04.1-1mamba
- automatic version update by autodist

* Sun Apr 25 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Fri Mar 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.3-1mamba
- automatic version update by autodist

* Fri Feb 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Wed Jan 13 2021 Automatic Build System <autodist@mambasoft.it> 20.12.1-1mamba
- automatic version update by autodist

* Sat Dec 19 2020 Automatic Build System <autodist@mambasoft.it> 20.12.0-1mamba
- automatic version update by autodist

* Sat Nov 07 2020 Automatic Build System <autodist@mambasoft.it> 20.08.3-1mamba
- automatic version update by autodist

* Sat Oct 10 2020 Automatic Build System <autodist@mambasoft.it> 20.08.2-1mamba
- automatic version update by autodist

* Wed Sep 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20.08.1-2mamba
- rename from libkdegames5 and add provides/obsoletes

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 20.08.1-1mamba
- automatic version update by autodist

* Sat Aug 15 2020 Automatic Build System <autodist@mambasoft.it> 20.08.0-1mamba
- automatic version update by autodist

* Fri Jul 10 2020 Automatic Build System <autodist@mambasoft.it> 20.04.3-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Automatic Build System <autodist@mambasoft.it> 20.04.2-1mamba
- automatic version update by autodist

* Sat May 16 2020 Automatic Build System <autodist@mambasoft.it> 20.04.1-1mamba
- automatic version update by autodist

* Fri Apr 24 2020 Automatic Build System <autodist@mambasoft.it> 20.04.0-1mamba
- automatic version update by autodist

* Thu Mar 05 2020 Automatic Build System <autodist@mambasoft.it> 19.12.3-1mamba
- automatic version update by autodist

* Fri Feb 07 2020 Automatic Build System <autodist@mambasoft.it> 19.12.2-1mamba
- automatic version update by autodist

* Fri Jan 10 2020 Automatic Build System <autodist@mambasoft.it> 19.12.1-1mamba
- automatic version update by autodist

* Mon Dec 30 2019 Automatic Build System <autodist@mambasoft.it> 19.12.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2019 Automatic Build System <autodist@mambasoft.it> 19.08.3-1mamba
- automatic version update by autodist

* Fri Oct 11 2019 Automatic Build System <autodist@mambasoft.it> 19.08.2-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 19.08.1-1mamba
- automatic version update by autodist

* Mon Sep 02 2019 Automatic Build System <autodist@mambasoft.it> 19.08.0-1mamba
- automatic version update by autodist

* Fri Jul 12 2019 Automatic Build System <autodist@mambasoft.it> 19.04.3-1mamba
- automatic version update by autodist

* Fri Jun 07 2019 Automatic Build System <autodist@mambasoft.it> 19.04.2-1mamba
- automatic version update by autodist

* Sat May 11 2019 Automatic Build System <autodist@mambasoft.it> 19.04.1-1mamba
- automatic version update by autodist

* Fri Apr 19 2019 Automatic Build System <autodist@mambasoft.it> 19.04.0-1mamba
- automatic version update by autodist

* Thu Mar 07 2019 Automatic Build System <autodist@mambasoft.it> 18.12.3-1mamba
- automatic version update by autodist

* Sat Feb 09 2019 Automatic Build System <autodist@mambasoft.it> 18.12.2-1mamba
- automatic version update by autodist

* Fri Jan 11 2019 Automatic Build System <autodist@mambasoft.it> 18.12.1-1mamba
- automatic version update by autodist

* Tue Dec 18 2018 Automatic Build System <autodist@mambasoft.it> 18.12.0-1mamba
- automatic version update by autodist

* Mon Nov 12 2018 Automatic Build System <autodist@mambasoft.it> 18.08.3-1mamba
- automatic version update by autodist

* Fri Oct 12 2018 Automatic Build System <autodist@mambasoft.it> 18.08.2-1mamba
- automatic version update by autodist

* Fri Sep 07 2018 Automatic Build System <autodist@mambasoft.it> 18.08.1-1mamba
- automatic version update by autodist

* Sat Aug 18 2018 Automatic Build System <autodist@mambasoft.it> 18.08.0-1mamba
- automatic version update by autodist

* Fri Jul 13 2018 Automatic Build System <autodist@mambasoft.it> 18.04.3-1mamba
- automatic version update by autodist

* Fri Jun 08 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Thu May 10 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Sun Apr 22 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Fri Mar 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Thu Jan 11 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Fri Nov 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Tue Aug 22 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Fri Mar 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Sun Dec 18 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Fri Nov 11 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Fri Sep 09 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Fri Aug 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Tue Feb 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Tue Jan 12 2016 Automatic Build System <autodist@mambasoft.it> 15.12.1-1mamba
- automatic version update by autodist

* Fri Jan 01 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.0-2mamba
- renamed from libkdegames to libkdegames5

* Sun Dec 20 2015 Automatic Build System <autodist@mambasoft.it> 15.12.0-1mamba
- automatic version update by autodist

* Wed Nov 11 2015 Automatic Build System <autodist@mambasoft.it> 15.08.3-1mamba
- automatic version update by autodist

* Tue Oct 13 2015 Automatic Build System <autodist@mambasoft.it> 15.08.2-1mamba
- automatic version update by autodist

* Sun Sep 20 2015 Automatic Build System <autodist@mambasoft.it> 15.08.1-1mamba
- automatic version update by autodist

* Sun Aug 23 2015 Automatic Build System <autodist@mambasoft.it> 15.08.0-1mamba
- automatic version update by autodist

* Thu Jul 02 2015 Automatic Build System <autodist@mambasoft.it> 15.04.3-1mamba
- automatic version update by autodist

* Wed Jun 03 2015 Automatic Build System <autodist@mambasoft.it> 15.04.2-1mamba
- automatic version update by autodist

* Tue May 12 2015 Automatic Build System <autodist@mambasoft.it> 15.04.1-1mamba
- automatic version update by autodist

* Fri May 01 2015 Automatic Build System <autodist@mambasoft.it> 15.04.0-1mamba
- automatic version update by autodist

* Tue Mar 10 2015 Automatic Build System <autodist@mambasoft.it> 14.12.3-1mamba
- automatic version update by autodist

* Sat Feb 07 2015 Automatic Build System <autodist@mambasoft.it> 14.12.2-1mamba
- automatic version update by autodist

* Mon Jan 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 14.12.1-1mamba
- update to 14.12.1

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sat Sep 27 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Thu Aug 21 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Tue Jun 10 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Tue Apr 01 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Tue Oct 01 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Thu Aug 15 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Sat Jun 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.4-1mamba
- package created by silvan using the webbuild interface
